Hi Guy's,
The firmware 738 (see in the upload) are compatible with 6800 HD not super .
My technomate is 6800HD with 704 firmware.
Thanks for your reply !!!!